summaryrefslogtreecommitdiffstats
path: root/source/l/mlt/mlt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/mlt/mlt.SlackBuild')
-rwxr-xr-xsource/l/mlt/mlt.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/mlt/mlt.SlackBuild b/source/l/mlt/mlt.SlackBuild
index 59182265f..fffc3a93b 100755
--- a/source/l/mlt/mlt.SlackBuild
+++ b/source/l/mlt/mlt.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,6 +88,9 @@ find . \
PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+# Fix compatibility with newer opencv:
+zcat $CWD/mlt-opencv.patch.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then